//+-----------------------------------------------------------------------------+
//|                                                                    test.mq4 |
//|                                       Copyright  2007, DMAN Software Corp. |
//|                                                          DmanHome@yandex.ru |
//+-----------------------------------------------------------------------------+

#property copyright "Copyright  2007, DMAN Software Corp."
#property link      "DmanHome@yandex.ru"

//  
//#include <stdio2.mqh>

#define PROG_NAME "test"

int    logID;          //  log-
string logName;        //


int init()
{
  Comment("...");
  
  //  Log-
  logName = StringConcatenate(PROG_NAME, "\\", PROG_NAME, "_2007.09.15.log");
  
  logID = FioInit(logName, FILE_READ | FILE_WRITE, SEEK_END);

  //   INI-
  string iniSymName = StringConcatenate(PROG_NAME, "\\", "symRates.ini");

  int    iniID = FioInit(iniSymName, FILE_READ | FILE_WRITE, SEEK_END);

  return (0);
}


int deinit()
{
//	FioDeinit();

  Comment("");

  return (0);
}


int start()
{
//  
  static bool firstTime = true;

	if (!firstTime)
    return(0);
  firstTime = false;
//  

	return(0);
}


//     (<= 32)
#define FIO_CNT  3

int fioID,              //     ( 0  FIO_CNT - 1)
    fioHandle[FIO_CNT]; // handle  

string fioName[FIO_CNT];     //   


int FioInit(string fName, int openMode, int seekMode)
{
	static bool firstTime = true;
	int i, I;

	//   
	if (firstTime)
	{
		firstTime = false;
		fioID  = 0;
		for (i = 0; i < FIO_CNT; i++)
		{
			fioHandle[i] = -1;
			fioName[i]   = "";
		}
	}

//  
string str = " : " + fName;
for (i = 0; i < FIO_CNT; i++)
  str = StringConcatenate(str, "\n", i, " : ", fioName[i]);

Comment(str);
Print(str);
Sleep(3000);
//  

	//        
	for (I = 0; I < FIO_CNT; I++)
    if (fioHandle[I] == -1)
		  break;

	if (I == FIO_CNT)
	{
//    myLastError = 119; //   .
		return (-1);
	}

	// 
  fioHandle[I] = I + 1;
	fioID      = I;
  fioName[I] = fName;

//  
str = " : " + fName;
for (i = 0; i < FIO_CNT; i++)
  str = StringConcatenate(str, "\n", i, " : ", fioName[i]);

Comment(str);
Print(str);
Sleep(3000);
//  

	return(I); //  ID -   ,  .
}

